Package org.eclipse.rdf4j.spring.resultcache

## Class ResultCachingGraphQuery

- java.lang.Object
- - org.eclipse.rdf4j.spring.support.query.DelegatingGraphQuery
  - - org.eclipse.rdf4j.spring.resultcache.ResultCachingGraphQuery

- All Implemented Interfaces:
    `GraphQuery`, `Operation`, `Query`

      public class ResultCachingGraphQuery
      extends DelegatingGraphQuery

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

      `Query.QueryType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResultCachingGraphQuery​(GraphQuery delegate, ResultCache<Integer,​ReusableGraphQueryResult> localResultCache, ResultCache<Integer,​ReusableGraphQueryResult> globalResultCache, ResultCacheProperties properties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GraphQueryResult` | `evaluate()` |
    `void` | `renewLocalResultCache​(ResultCache<Integer,​ReusableGraphQueryResult> localGraphQueryResultCache)` |

    - ### Methods inherited from class org.eclipse.rdf4j.spring.support.query.DelegatingGraphQuery

      `clearBindings, evaluate, explain, getBindings, getDataset, getDelegate, getIncludeInferred, getMaxExecutionTime, getMaxQueryTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime, setMaxQueryTime, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultCachingGraphQuery

          public ResultCachingGraphQuery​(GraphQuery delegate,
                                         ResultCache<Integer,​ReusableGraphQueryResult> localResultCache,
                                         ResultCache<Integer,​ReusableGraphQueryResult> globalResultCache,
                                         ResultCacheProperties properties)

  - ### Method Detail

    - #### renewLocalResultCache

          public void renewLocalResultCache​(ResultCache<Integer,​ReusableGraphQueryResult> localGraphQueryResultCache)

    - #### evaluate

          public GraphQueryResult evaluate()
                                    throws QueryEvaluationException

      Specified by:
        `evaluate` in interface `GraphQuery`
      Overrides:
        `evaluate` in class `DelegatingGraphQuery`
      Throws:
        `QueryEvaluationException`